> ## Documentation Index
> Fetch the complete documentation index at: https://docs.overlay.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Get NFT

> Fetches NFT information by mint address or contract address.



## OpenAPI

````yaml /openapi.yaml get /nfts/{mint_address}
openapi: 3.1.0
info:
  title: Overlay API
  version: 0.1.0
  description: API for issuing wallets, tokens, and NFTs on Solana and EVM networks.
servers:
  - url: https://overlay.fun
    description: Production
security:
  - ApiKeyAuth: []
tags:
  - name: wallets
    x-group: Wallets
    description: Create and inspect wallets.
  - name: tokens
    x-group: Tokens
    description: Create and operate fungible tokens.
  - name: nfts
    x-group: NFTs
    description: Create NFT collections and mint NFTs.
paths:
  /nfts/{mint_address}:
    get:
      tags:
        - nfts
      summary: Get NFT
      description: Fetches NFT information by mint address or contract address.
      operationId: getNft
      parameters:
        - $ref: '#/components/parameters/MintAddress'
      responses:
        '200':
          description: NFT information fetched.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiSuccess'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  parameters:
    MintAddress:
      name: mint_address
      in: path
      required: true
      schema:
        type: string
      description: Solana mint address or EVM contract address.
  schemas:
    ApiSuccess:
      type: object
      required:
        - success
        - data
        - message
      properties:
        success:
          type: boolean
          example: true
        data:
          type: object
          additionalProperties: true
        message:
          type: string
    ApiError:
      type: object
      required:
        - success
        - message
        - error
      properties:
        success:
          type: boolean
          example: false
        message:
          type: string
        error:
          type: string
        timestamp:
          type: string
          format: date-time
  responses:
    BadRequest:
      description: Invalid request body or parameters.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
          examples:
            badRequest:
              value:
                success: false
                message: Invalid request body.
                error: Bad request
    Unauthorized:
      description: Missing or invalid API key.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
          examples:
            invalidApiKey:
              value:
                success: false
                message: Invalid api-key
                error: Unauthorized
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: api-key
      x-default: ovl_your_api_key_here

````